Update Lead: RealPage Partner Exchange
https://api.propexo.com/v1/leads/realpage_rpx/:lead_id| Method | Interface |
|---|---|
| UpdateProspect | Prospect Management |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the lead
Request
This endpoint expects an object.
The Propexo unique identifier for the employee
The Propexo unique identifier for the lead source
The Propexo unique identifier for the lead relationship
The Propexo unique identifier for the unit
The first name associated with the lead
Possible values: <= 30 characters
The middle name associated with the lead
Possible values: <= 30 characters
The last name associated with the lead
Possible values: <= 30 characters
The date of birth associated with the lead
Primary phone number associated with the lead
Type of the primary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKSecondary phone number associated with the lead
Type of the secondary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKThe primary email address associated with the lead
The first address line associated with the lead
The second address line associated with the lead
The city associated with the lead
The state associated with the lead
The zip code associated with the lead
The country associated with the lead
The move-in date associated with the lead
The amount of months for the lease term
The maximum rent cost the lead is looking to pay, in cents
The number of occupants living in the unit
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the lead
The Propexo unique identifier for the employee
The Propexo unique identifier for the lead source
The Propexo unique identifier for the lead relationship
The Propexo unique identifier for the unit
The first name associated with the lead
Possible values: <= 30 characters
The middle name associated with the lead
Possible values: <= 30 characters
The last name associated with the lead
Possible values: <= 30 characters
The date of birth associated with the lead
Primary phone number associated with the lead
Type of the primary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKSecondary phone number associated with the lead
Type of the secondary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKThe primary email address associated with the lead
The first address line associated with the lead
The second address line associated with the lead
The city associated with the lead
The state associated with the lead
The zip code associated with the lead
The country associated with the lead
The move-in date associated with the lead
The amount of months for the lease term
The maximum rent cost the lead is looking to pay, in cents
The number of occupants living in the unit
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/leads/realpage_rpx/:lead_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"employee_id": "string",
"lead_source_id": "string",
"lead_relationship_id": "string",
"unit_id": "string",
"first_name": "string",
"middle_name": "string",
"last_name": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"email_1": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string",
"target_move_in_date": "2024-07-29T15:51:28.071Z",
"desired_lease_term_in_months": 0,
"desired_max_rent_in_cents": 0,
"number_of_occupants": 0
}'
{
"meta": {
"job_id": "string"
},
"result": {
"lead_id": "string",
"employee_id": "string",
"lead_source_id": "string",
"lead_relationship_id": "string",
"unit_id": "string",
"first_name": "string",
"middle_name": "string",
"last_name": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"email_1": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string",
"target_move_in_date": "2024-07-29T15:51:28.071Z",
"desired_lease_term_in_months": 0,
"desired_max_rent_in_cents": 0,
"number_of_occupants": 0
}
}